
Core - Bug # 48113

Status: Resolved Priority: Must have
Author: Flummi no-lastname-given Category: File Abstraction Layer (FAL)
Created: 2013-05-11 Assigned To:
Updated: 2014-06-11 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: typoscript FILES object always uses default language when accessing page resource images of translated 

images 
Description

When using images in page resources, the FILES typoscript object fails to use the translated version of these images - it allways uses
the ones from the default language.

For example we have a page in the default language which is translated in another language (i.E. in english, L=1). We have some
images in "page->properties->resources" of the default language and also some images in the english language of this page. This all
works well, but when we try to output the images of the page resource, the FILES object allways outputs the images of the default
language page, even if we output the english page (but it should use the english images).

This bug can be reproduced by the following typoscript:

page = PAGE
page.10 = TEMPLATE
page.10.subparts.TOPPICS = FILES
page.10.subparts.TOPPICS  {
  references {
    table = pages
    uid.data = leveluid:-1, slide
    fieldName = media
  }
          
  renderObj = COA
  renderObj {
    wrap = <div class="item">|</div>    # output images
    10 = IMAGE 
    10 {
      file.import.data = file:current:publicUrl
      altText.data = file:current:title
    }    # output the description of the images
    20 = TEXT
    20 {
      data = file:current:description
      wrap = <div class="item-text">|</div>
    }
  }
}
config {  # language Default
  linkVars = L
  uniqueLinkVars = 1
  sys_language_mode = content_fallback
  htmlTag_langKey = de
  language = de
  locale_all = de_DE.UTF-8
  sys_language_uid = 0
}
[globalVar = GP:L = 1]
config {
  htmlTag_langKey = en
  language = en
  locale_all = en_EN.UTF-8
  sys_language_uid = 1
}
[global]

Then create a subpart "TOPPICS" in the template and add images in the page resource of the default language and the english one.

Related issues:
related to Core - Bug # 47869: Failed localization of FILES content object re... Resolved 2013-05-03
related to Core - Bug # 58352: Invalid localization overlay of cObject FILES Resolved 2014-04-30
related to Core - Bug # 65863: content_fallback / mergeIfNotblank fails with ... Under Review 2015-03-20

History
#1 - 2013-09-09 18:55 - Ernesto Baschny
- Status changed from New to Accepted
- Target version set to 6.2.0
- Is Regression set to No

Indeed this seem to be a reproducible bug.

It might turn out to be very tricky to fix it, as what used to be a simple text field (with the filenames) that was overwritten in the translation
(pages_language_overlay) is now an IRRE field which holds M-N relations to sys_files.

But thanks for reporting and we'll try to get it fixed at least before 6.2 release.

#2 - 2013-09-10 14:27 - Tobias Gaertner

actually I think it has nothing to do with the TypoScript FILES Object, but with the way FAL handles the files or the way how TypoScript access FAL. Its
also reproduceable with something like this:

10 = IMAGE
10 {
   file {
      import =  uploads/media/
      import.field = media
   }
}
#3 - 2013-12-02 09:02 - Henrik Ziegenhain

Still reproducable with 6.0.11 - Are there any news or ideas how we can fix it?
In a multilang environment it is a nogo to output file title etc. in a wrong language.

#4 - 2014-04-07 17:12 - Marc Bastian Heinrichs

There is a patch in #47869

#5 - 2014-06-11 17:13 - Steffen Ritter
- Status changed from Accepted to Resolved
